package cn.palmte.work.service.token.redis;

/**
 * 客户端API接口token管理器
 * @author xiongshiyan at 2018/8/15 , contact me with email yanshixiong@126.com or phone 15208384257
 */
/*public class ApiTokenManager extends BaseMultiTokenManager<Manager> {
    private String tokenPrefix;

    @Override
    public String getToken(Manager m){
        return tokenPrefix + "-" + nowStr() + CommonUtil.randomString(16);
    }
    private String nowStr(){
        return DatetimeUtils.toStr(new Date() , DatetimeUtils.SDF_DATETIME_SHORT);
    }

    @Override
    protected String key(Manager member){
        return tokenPrefix + "-" + member.getUserName();
    }

    public String getTokenPrefix() {
        return tokenPrefix;
    }

    public void setTokenPrefix(String tokenPrefix) {
        this.tokenPrefix = tokenPrefix;
    }
}*/
